## nkf 2.1.5

=== Makefile ===
CC = cc
CFLAGS = -g -O2 -Wall -pedantic
# CFLAGS = -O3
SHAR = shar 
# SHAR = shar -T
PERL = perl
RM = rm -rf
VERSION = 2.1.5
MKDIR = mkdir
prefix = /usr/local
PYTHON2 = python
PYTHON3 = python

.PHONY: clean install test tar shar

nkf : nkf.o utf8tbl.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o nkf nkf.o utf8tbl.o

nkf.o : nkf.c nkf.h utf8tbl.h config.h
	$(CC) $(CFLAGS) -c nkf.c

utf8tbl.o : utf8tbl.c utf8tbl.h config.h
	$(CC) $(CFLAGS) -c utf8tbl.c

clean:
	-$(RM) nkf.o nkf nkf.exe nkf.in nkf.out nkf-$(VERSION) *~ *.bad utf8tbl.o
	cd NKF.mod; if [ -f Makefile ]; then make clean; fi

test:	nkf
	$(PERL) test.pl

perl:
	( cd NKF.mod ; \
	$(PERL) Makefile.PL  ; \
	make ; \
	make test )

python2:
	( cd NKF.python2 ; \
	$(PYTHON2) setup.py build )

python3:
	( cd NKF.python3 ; \
	$(PYTHON3) setup.py build )

install: install-main install-man install-man-ja

install-main:
	-$(MKDIR) $(prefix)/bin
	cp -f nkf $(prefix)/bin/

install-man:
	-$(MKDIR) $(prefix)/man
	-$(MKDIR) $(prefix)/man/man1
	cp -f nkf.1 $(prefix)/man/man1/

install-man-ja:
	-$(MKDIR) $(prefix)/man/ja
	-$(MKDIR) $(prefix)/man/ja/man1
	cp -f nkf.1j $(prefix)/man/ja/man1/nkf.1

shar:
	-mkdir nkf-$(VERSION)
	-mkdir nkf-$(VERSION)/NKF.mod
	for file in  `cat MANIFEST`;  \
	do  \
	    nkf -j -m0 $$file > nkf-$(VERSION)/$$file ; \
	done 
	echo "#!/bin/sh" >nkf-$(VERSION).shar
	echo "mkdir nkf-$(VERSION)" >>nkf-$(VERSION).shar
	echo "mkdir nkf-$(VERSION)/NKF.mod" >>nkf-$(VERSION).shar
	echo "cd nkf-$(VERSION)" >>nkf-$(VERSION).shar
	( cd nkf-$(VERSION) ; $(SHAR)  `cat ../MANIFEST` ) >> nkf-$(VERSION).shar
	-$(RM) nkf-$(VERSION)

tar:
	-mkdir nkf-$(VERSION)
	-mkdir nkf-$(VERSION)/NKF.mod
	-mkdir nkf-$(VERSION)/NKF.python2
	-mkdir nkf-$(VERSION)/NKF.python3
	-mkdir nkf-$(VERSION)/man
	for file in  `cat MANIFEST`;  \
	do  \
	    cp $$file nkf-$(VERSION)/$$file ; \
	done 
	tar cf nkf-$(VERSION).tar nkf-$(VERSION)
	-$(RM) nkf-$(VERSION)

## nkf 2.1.4

=== debian/changelog ===
nkf (1:2.1.4-1ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:11:50 +0000

nkf (1:2.1.4-1ubuntu1) zesty; urgency=medium

  * Rebuild app with -fPIC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 20 Mar 2017 11:02:11 +0530

nkf (1:2.1.4-1) unstable; urgency=medium

  [ Hideki Yamane ]
  * Non-maintainer upload.
  * add debian/watch 
  * debian/patches
    - drop add-ldflags: merged upstream
    - drop nkf.1j-fix-broken-code.patch: merged upstream
    - add 0001-add-DESTDIR-for-install.patch
    - add 0002-add-prefix-to-perl-install.patch
    - add 0003-manpages-should-be-in-usr-share-man.patch
    - add 0004-fix-typo-in-nkf.1.patch
  * debian/compat
    - set 10 to deal with "package-uses-deprecated-debhelper-compat-version 7"
      lintian warning
  * debian/control
    - set Build-Depends: debhelper (>= 10)
    - add Homepage: field
    - add Vcs-* field
    - set Standards-Version: 3.9.8
  * debian/rules
    - split installation to .install and .manpages files
    - use modern compiler hardeing flags
  * add debian/nkf.install and debian/nkf.manpages
  * remove debian/dirs and debian/libnkf-perl.files
  * rename docs to nkf.docs
  * remove unused debian/nkf.1jeuc and debian/nkf1.7+cap1.patch

  [ NOKUBI Takatsugu ]
  * debian/copyright: DEP5 reformatted

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 30 Nov 2016 06:35:40 +0000

nkf (2.13-4) unstable; urgency=low

  * Fix CFLAGS value handling closes: #759766,
    Thank you Nobuhiro Ban and Niko Tyni.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 01 Sep 2014 15:37:25 +0900

nkf (2.13-3) unstable; urgency=medium

  * Use buildflags.mk, closes: #753139.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 30 Jun 2014 08:44:09 +0000

nkf (2.13-2) unstable; urgency=low

  * Changed debian/rules format to dh7.
  * Import nkf.1j from git c778b37, closes: #752736.
    http://sourceforge.jp/ticket/browse.php?group_id=248&tid=32546

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 30 Jun 2014 08:43:56 +0000

nkf (2.13-1) unstable; urgency=low

  * New upstream.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 26 Nov 2013 15:53:35 +0900

nkf (2.11-2) unstable; urgency=low

  * Fixed perl package bug, closes: #627369.

 --  <knok@daionet.gr.jp>  Wed, 18 May 2011 06:13:19 +0000

nkf (2.11-1) unstable; urgency=low

  * New upstream release

 --  <knok@daionet.gr.jp>  Wed, 18 May 2011 05:57:06 +0000

nkf (2.07-2) unstable; urgency=low

  * Fixed manual bug, closes: #473916.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 14 May 2008 17:07:28 +0900

nkf (2.07-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  5 Jul 2006 01:32:45 +0000

nkf (2.06-1) unstable; urgency=low

  * New upstream version.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 28 Mar 2006 06:30:04 +0000

nkf (2.05-2) unstable; urgency=low

  * Fixed -g option with multiple files.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 27 Aug 2005 16:15:34 +0000

nkf (2.05-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 30 Jun 2005 17:28:10 +0900

nkf (2.04-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat,  3 Jan 2004 16:28:08 +0900

nkf (2.03-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu,  2 Oct 2003 15:22:51 +0900

nkf (2.02-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun,  3 Aug 2003 17:54:19 +0900

nkf (2.01-5) unstable; urgency=low

  * Changed to use ./debian/tmp/usr/bin/nkf instead nkf in debian/rule, closes: #177576.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 21 Jan 2003 17:34:51 +0900

nkf (2.01-4) unstable; urgency=low

  * Changed to install newer Japanese manpage, closes: #175536.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 15 Jan 2003 17:53:59 +0900

nkf (2.01-3) unstable; urgency=low

  * Updated copyright and README.debian, closes: #163192.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri,  4 Oct 2002 09:10:13 +0900

nkf (2.01-2) unstable; urgency=low

  * Applied a patch on sourceforge.jp.
  http://sourceforge.jp/tracker/download.php?group_id=248&atid=1031&file_id=112&aid=588

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue,  1 Oct 2002 15:22:49 +0900

nkf (2.01-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 27 Sep 2002 16:12:20 +0900

nkf (2.00-0.9beta1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 17 Sep 2002 11:23:50 +0900

nkf (1.92-8) unstable; urgency=low

  * Rebuild with perl 5.8.0.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 29 Aug 2002 17:44:06 +0900

nkf (1.92-7) unstable; urgency=low

  * Fixed some wrong description, closes: #146391.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 11 May 2002 10:56:56 +0900

nkf (1.92-6) unstable; urgency=low

  * Added Build-Depends line, Closes: 111768.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 10 Sep 2001 09:21:40 +0900

nkf (1.92-5) unstable; urgency=low

  * Added hankaku-kana space conversion patch:
  http://www.namazu.org/ml/namazu-users-ja/msg00025.html

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri,  7 Sep 2001 14:54:07 +0900

nkf (1.92-4) unstable; urgency=low

  * Changed the maintainer.
  
  * Rebuild with new perl policy, Closes: Bug#95422.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 22 May 2001 11:43:26 +0900

nkf (1.92-3) unstable; urgency=low

  * fix build problem (closes: Bug#90200)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 19 Mar 2001 15:36:35 +0900

nkf (1.92-2) unstable; urgency=low

  * Applied patch of Bug#62374. (closes: Bug#62374)
    Thanks! YAMASHITA Junji <ysjj@unixuser.org>.

 -- Takuo KITAME <kitame@northeye.org>  Wed, 10 May 2000 04:26:10 +0900

nkf (1.92-1) frozen unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: nkf
Section: text
Priority: optional
Build-Depends: debhelper (>= 10), perl (>= 5.6.0-16)
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Standards-Version: 3.9.8
Homepage: https://osdn.net/projects/nkf/
Vcs-Git: https://anonscm.debian.org/git/collabmaint/nkf.git
Vcs-Browser: https://anonscm.debian.org/cgit/collabmaint/nfk.git

Package: nkf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Kanji code conversion Filter
 Nkf is yet another kanji code converter among networks,
 hosts and terminals. It converts input kanji code to designated
 kanji code such as 7-bit JIS, MS-kanji (Shifted-JIS) or EUC.

Package: libnkf-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Network Kanji code conversion Filter for Perl
 libnkf-perl will let you use the nkf (Network Kanji code conversion
 filter) as NKF.pm from Perl programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	sed -i -e s%/usr/local%/usr% $(CURDIR)/Makefile

override_dh_auto_build:
	make nkf
	make perl

override_dh_auto_test:
	dh_auto_test
	make -C NKF.mod test

override_dh_auto_install:
	dh_auto_install
	make -C NKF.mod install DESTDIR=$(CURDIR)/debian/libnkf-perl/
	# build UTF-8 nkf.1j manpage
	$(CURDIR)/debian/tmp/usr/bin/nkf -e $(CURDIR)/nkf.1j > $(CURDIR)/nkf.ja.1

=== debian/watch ===
version=4

opts="user-agent=Wget/1.12 (linux-gnu)" \
https://ja.osdn.net/projects/@PACKAGE@/releases/ \
 /projects/@PACKAGE@/downloads/\d*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@/ debian uupdate

## nkf 2.1.5

=== debian/changelog ===
nkf (1:2.1.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ NOKUBI Takatsugu ]
  * d/watch: fix mangling

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Homepage moved to Github
  * d/watch:
     - Version=5
     - Point to Github
  * Build-Depends: perl-xs-dev
    Closes: #1102815
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Use default build flags
    Closes: #1119503
  * Fix clean target
    Closes: #1047193
  * Verify that nostrip is working
    Closes: #437638
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Fri, 14 Nov 2025 08:28:31 +0100

nkf (1:2.1.5-1) unstable; urgency=medium

  [ NOKUBI Takatsugu ]
  * d/watche: parse from the rss, ignore older version
  * new upstream release
  * work nocheck in DEB_BUILD_OPTIONS
  * d/control:
    - set Standards-Version: 4.3.0

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 08 Jan 2019 17:38:36 +0900

nkf (1:2.1.4-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Mark nkf Multi-Arch: foreign, closes: #899276.

  [ NOKUBI Takatsugu ]
  * Apply Helmut Grone's patch

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 24 May 2018 14:54:25 +0900

=== debian/control ===
Source: nkf
Standards-Version: 4.7.2
Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Section: text
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 perl,
 perl-xs-dev,
Vcs-Browser: https://salsa.debian.org/debian/nkf
Vcs-Git: https://salsa.debian.org/debian/nkf.git
Homepage: https://github.com/nurse/nkf/

Package: nkf
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Network Kanji code conversion Filter
 Nkf is yet another kanji code converter among networks,
 hosts and terminals. It converts input kanji code to designated
 kanji code such as 7-bit JIS, MS-kanji (Shifted-JIS) or EUC.

Package: libnkf-perl
Architecture: any
Section: perl
Depends:
 ${perl:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Description: Network Kanji code conversion Filter for Perl
 libnkf-perl will let you use the nkf (Network Kanji code conversion
 filter) as NKF.pm from Perl programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	make nkf
	make perl

override_dh_auto_test:
	dh_auto_test
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C NKF.mod test
endif

override_dh_auto_install:
	dh_auto_install
	make -C NKF.mod install DESTDIR=$(CURDIR)/debian/libnkf-perl/
	# build UTF-8 nkf.1j manpage
	$(CURDIR)/debian/tmp/usr/bin/nkf -e $(CURDIR)/nkf.1j > $(CURDIR)/nkf.ja.1

=== debian/watch ===
Version: 5

Source: https://github.com/nurse/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d._]+)@ARCHIVE_EXT@
Uversion-Mangle: s/_/./g

## nkf 2.04

=== Makefile ===
CC = cc
CFLAGS = -O
# CFLAGS = -O3
SHAR = shar 
# SHAR = shar -T
PERL = perl
RM = rm -rf
VERSION = 204

nkf : nkf.c config.h utf8tbl.o
	$(CC) $(CFLAGS) -o nkf nkf.c utf8tbl.o

utf8tbl.o : utf8tbl.c config.h
	$(CC) $(CFLAGS) -c utf8tbl.c

clean:
	-$(RM) nkf.o nkf nkf.in nkf.out nkf$(VERSION) *~ *.bad utf8tbl.o
	cd NKF.mod; make clean
test:	nkf
	$(PERL) test.pl

perl:
	( cd NKF.mod ; \
	$(PERL) Makefile.PL  ; \
	make ; \
	make test )

shar:
	-mkdir nkf$(VERSION)
	-mkdir nkf$(VERSION)/NKF.mod
	for file in  `cat MANIFEST`;  \
	do  \
	    nkf -j -m0 $$file > nkf$(VERSION)/$$file ; \
	done 
	echo "#!/bin/sh" >nkf$(VERSION).shar
	echo "mkdir nkf$(VERSION)" >>nkf$(VERSION).shar
	echo "mkdir nkf$(VERSION)/NKF.mod" >>nkf$(VERSION).shar
	echo "cd nkf$(VERSION)" >>nkf$(VERSION).shar
	( cd nkf$(VERSION) ; $(SHAR)  `cat ../MANIFEST` ) >> nkf$(VERSION).shar
	-$(RM) nkf$(VERSION)

tar:
	-mkdir nkf$(VERSION)
	-mkdir nkf$(VERSION)/NKF.mod
	for file in  `cat MANIFEST`;  \
	do  \
	    nkf -j -m0 $$file > nkf$(VERSION)/$$file ; \
	done 
	tar cf nkf$(VERSION).tar nkf$(VERSION)
	-$(RM) nkf$(VERSION)

## nkf 2.07

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # SHAR = shar -T
 PERL = perl
 RM = rm -rf
-VERSION = 204
+VERSION = 207
 
 nkf : nkf.c config.h utf8tbl.o
 	$(CC) $(CFLAGS) -o nkf nkf.c utf8tbl.o
@@ -15,7 +15,8 @@
 
 clean:
 	-$(RM) nkf.o nkf nkf.in nkf.out nkf$(VERSION) *~ *.bad utf8tbl.o
-	cd NKF.mod; make clean
+	cd NKF.mod; if [ -f Makefile ]; then make clean; fi
+
 test:	nkf
 	$(PERL) test.pl

## nkf 2.11

=== Makefile ===
CC = cc
CFLAGS = -g -O2 -Wall -pedantic
# CFLAGS = -O3
SHAR = shar 
# SHAR = shar -T
PERL = perl
RM = rm -rf
VERSION = 2.1.1
MKDIR = mkdir
prefix = /usr/local

.PHONY: clean install test tar shar

nkf : nkf.o utf8tbl.o
	$(CC) $(CFLAGS) -o nkf nkf.o utf8tbl.o

nkf.o : nkf.c nkf.h utf8tbl.h config.h
	$(CC) $(CFLAGS) -c nkf.c

utf8tbl.o : utf8tbl.c utf8tbl.h config.h
	$(CC) $(CFLAGS) -c utf8tbl.c

clean:
	-$(RM) nkf.o nkf nkf.exe nkf.in nkf.out nkf-$(VERSION) *~ *.bad utf8tbl.o
	cd NKF.mod; if [ -f Makefile ]; then make clean; fi

test:	nkf
	$(PERL) test.pl

perl:
	( cd NKF.mod ; \
	$(PERL) Makefile.PL  ; \
	make ; \
	make test )

install:
	-$(MKDIR) $(prefix)/bin
	-$(MKDIR) $(prefix)/man
	-$(MKDIR) $(prefix)/man/man1
	-$(MKDIR) $(prefix)/man/ja
	-$(MKDIR) $(prefix)/man/ja/man1
	cp -f nkf $(prefix)/bin/
	cp -f nkf.1 $(prefix)/man/man1/
	cp -f nkf.1j $(prefix)/man/ja/man1/nkf.1

shar:
	-mkdir nkf-$(VERSION)
	-mkdir nkf-$(VERSION)/NKF.mod
	for file in  `cat MANIFEST`;  \
	do  \
	    nkf -j -m0 $$file > nkf-$(VERSION)/$$file ; \
	done 
	echo "#!/bin/sh" >nkf-$(VERSION).shar
	echo "mkdir nkf-$(VERSION)" >>nkf-$(VERSION).shar
	echo "mkdir nkf-$(VERSION)/NKF.mod" >>nkf-$(VERSION).shar
	echo "cd nkf-$(VERSION)" >>nkf-$(VERSION).shar
	( cd nkf-$(VERSION) ; $(SHAR)  `cat ../MANIFEST` ) >> nkf-$(VERSION).shar
	-$(RM) nkf-$(VERSION)

tar:
	-mkdir nkf-$(VERSION)
	-mkdir nkf-$(VERSION)/NKF.mod
	for file in  `cat MANIFEST`;  \
	do  \
	    nkf -j -m0 $$file > nkf-$(VERSION)/$$file ; \
	done 
	tar cf nkf-$(VERSION).tar nkf-$(VERSION)
	-$(RM) nkf-$(VERSION)

## nkf 2.12

=== debian/changelog ===
nkf (2.12-1) unstable; urgency=low

  * New upstream release
  * Change debhelper version 5 to 8.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 29 Jun 2012 13:20:56 +0900

=== debian/control ===
Source: nkf
Section: text
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl
Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Standards-Version: 3.9.2

Package: nkf
Architecture: any
Depends: ${shlibs:Depends}
Description: Network Kanji code conversion Filter
 Nkf is yet another kanji code converter among networks,
 hosts and terminals. It converts input kanji code to designated
 kanji code such as 7-bit JIS, MS-kanji (Shifted-JIS) or EUC.

Package: libnkf-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}
Description: Network Kanji code conversion Filter for Perl
 libnkf-perl will let you use the nkf (Network Kanji code conversion
 filter) as NKF.pm from Perl programs.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=nkf

build: build-stamp
build-stamp:
	dh_testdir

	make nkf CC=cc
	cd NKF.mod && /usr/bin/perl Makefile.PL INSTALLDIRS=vendor && make CC=cc CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp

	make clean
	(cd NKF.mod ; [ ! -f Makefile ] || $(MAKE) distclean)

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install nkf package
	install -s -m 755 nkf debian/nkf/usr/bin
	./debian/nkf/usr/bin/nkf -e nkf.1j > debian/nkf.1j.tmp
	install -m 444 debian/nkf.1j.tmp debian/nkf/usr/share/man/ja/man1/nkf.1
	rm -f debian/nkf.1j.tmp
	install -m 444 nkf.1 debian/nkf/usr/share/man/man1/nkf.1

	(cd NKF.mod; make install PREFIX=$(CURDIR)/debian/nkf/usr)
#	find `pwd`/debian/nkf -type f -name .packlist | xargs -r rm

	dh_installdocs

	## Working log at Debian JP Project.
	cp $(CURDIR)/debian/changelog.DebianJP $(CURDIR)/debian/nkf/usr/share/doc/nkf/
#	cp `pwd`/debian/nkf1.7+cap1.patch `pwd`/debian/nkf/usr/share/doc/nkf/
	gzip -9 $(CURDIR)/debian/nkf/usr/share/doc/nkf/changelog.DebianJP
#	gzip -9 `pwd`/debian/nkf/usr/share/doc/nkf/nkf1.7+cap1.patch

#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
#	dh_installmanpages -pnkf
	dh_installman
#	dh_undocumented
	dh_installchangelogs NKF.mod/Changes
	dh_strip
	dh_movefiles -plibnkf-perl --sourcedir debian/nkf
#	-rm -rf `pwd`/debian/nkf/usr/lib `pwd`/debian/nkf/usr/share/perl5
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## nkf 2.13

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,11 @@
 # SHAR = shar -T
 PERL = perl
 RM = rm -rf
-VERSION = 2.1.1
+VERSION = 2.1.3
 MKDIR = mkdir
 prefix = /usr/local
+PYTHON2 = python
+PYTHON3 = python
 
 .PHONY: clean install test tar shar
 
@@ -32,6 +34,14 @@
 	$(PERL) Makefile.PL  ; \
 	make ; \
 	make test )
+
+python2:
+	( cd NKF.python2 ; \
+	$(PYTHON2) setup.py build )
+
+python3:
+	( cd NKF.python3 ; \
+	$(PYTHON3) setup.py build )
 
 install:
 	-$(MKDIR) $(prefix)/bin
@@ -62,7 +72,7 @@
 	-mkdir nkf-$(VERSION)/NKF.mod
 	for file in  `cat MANIFEST`;  \
 	do  \
-	    nkf -j -m0 $$file > nkf-$(VERSION)/$$file ; \
+	    cp $$file nkf-$(VERSION)/$$file ; \
 	done 
 	tar cf nkf-$(VERSION).tar nkf-$(VERSION)
 	-$(RM) nkf-$(VERSION)

=== debian/changelog ===
nkf (2.13-4build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:33:38 +0000

=== debian/control ===
Source: nkf
Section: text
Priority: optional
Build-Depends: debhelper (>= 7.0.50), perl (>= 5.6.0-16)
Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Standards-Version: 3.9.4

Package: nkf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Kanji code conversion Filter
 Nkf is yet another kanji code converter among networks,
 hosts and terminals. It converts input kanji code to designated
 kanji code such as 7-bit JIS, MS-kanji (Shifted-JIS) or EUC.

Package: libnkf-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Network Kanji code conversion Filter for Perl
 libnkf-perl will let you use the nkf (Network Kanji code conversion
 filter) as NKF.pm from Perl programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS+=$(HARDENING_CFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh build
	touch $@

clean:
	dh $@

install: install-stamp
install-stamp: build-stamp
	dh install
	touch $@

binary-arch: install
	dh $@

binary: binary-arch binary-indep

override_dh_auto_clean:
	-(cd NKF.mod && \
	test -f Makefile && perl Makefile.PL)
	-rm -f NKF.mod/Makefile.old
	make clean

override_dh_auto_configure:
	(cd NKF.mod && \
	/usr/bin/perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$(CFLAGS)" LD="cc $(LDFLAGS)")

override_dh_auto_build:
	make nkf CC=cc CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	(cd NKF.mod && make)

override_dh_auto_test:
	make test
	make -C NKF.mod test

override_dh_auto_install:
	install -s -m 755 nkf debian/nkf/usr/bin
	./debian/nkf/usr/bin/nkf -e nkf.1j > debian/nkf.1j.tmp
	install -m 444 debian/nkf.1j.tmp debian/nkf/usr/share/man/ja/man1/nkf.1
	rm -f debian/nkf.1j.tmp
	install -m 444 nkf.1 debian/nkf/usr/share/man/man1/nkf.1
	(cd NKF.mod; make install DESTDIR=$(CURDIR)/debian/libnkf-perl/)

.PHONY: binary binary-arch binary-indep install clean build
